media_device.h File Reference

Provide a representation of a Linux kernel Media Controller device that exposes the full graph topology. More...

`#include <map>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <linux/media.h>`
`#include <libcamera/signal.h>`
`#include "libcamera/internal/log.h"`
`#include "libcamera/internal/media_object.h"`

Go to the source code of this file.

## Classes

class | libcamera::MediaDevice
| The MediaDevice represents a Media Controller device with its full graph of connected objects. More...

## Detailed Description

Provide a representation of a Linux kernel Media Controller device that exposes the full graph topology.